Semaphor

Create a visual

Creates a new saved visual in the project. If you omit frameObject, an empty frame is created automatically. The visual is owned by the authenticated user.

POST
/api/management/v1/visuals

Authorization

BearerAuth
AuthorizationBearer <token>

A project-scoped or dashboard-scoped access token. Generate one via the Token API using your project ID and project secret.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X post "https://semaphor.cloud/api/management/v1/visuals" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{
  "id": "string",
  "title": "string",
  "description": "string",
  "projectId": "string",
  "tenantId": "string",
  "frameObject": {},
  "permissions": {
    "canEdit": true,
    "canShare": true,
    "canDelete": true
  },
  "ownership": {}
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}